from src.backend.database import Database
import pytest
    
def test_prof():
    assert Database().getProfNameById(1,add_title=True) == "Karoß Sabine"
    assert Database().getProfNameById(1,add_title=False) == "Karoß Sabine"
    assert Database().getProfId("Karoß Sabine") == 1
    
def test_apparat():
    assert Database().getApparatName(3,1) == "Theorie und Praxis Gymnastik"
    
def test_admin():
    assert len(Database().getUser()) >=1 and "admin" in Database().getUser()
    
    